# -*- coding: utf-8 -*-

# Copyright (C) 2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
# This file is part of tladmin
# tladmin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from django.conf.urls.defaults import patterns
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = patterns('',
                       (r'^$', 'webadmin.firewall.views.block_apps'),
                       (r'^apps/$', 'webadmin.firewall.views.block_apps'),
                       (r'^sites/$', 'webadmin.firewall.views.block_sites'),
                       (r'^alter_app/(?P<id_rule>\d+)/$', 'webadmin.firewall.views.alter_app'),
                       (r'^remove_app/(?P<id_rule>\d+)/$', 'webadmin.firewall.views.remove_app'),
                       (r'^alter_site/(?P<id_rule>\d+)/$', 'webadmin.firewall.views.alter_site'),
                       (r'^remove_site/(?P<id_rule>\d+)/$', 'webadmin.firewall.views.remove_site'),
                       )

if settings.MEDIA_ROOT:
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)
