var geocoder;
var map;

var lat = -15.7801482;
var lng = -47.92916980000001;

function initialize() {
    geocoder = new google.maps.Geocoder();
    var latlng = new google.maps.LatLng(lat, lng);
    var mapOptions = {
	zoom: 17,
	center: latlng,
	mapTypeId: google.maps.MapTypeId.SATELLITE
    }
    map = new google.maps.Map(document.getElementById('map_canvas'), mapOptions);
}

function codeAddress(address) {
    var geolocation = document.getElementById('id_geolocation');
    geocoder.geocode({ 'address': address}, function(results, status) {
	    if (status == google.maps.GeocoderStatus.OK) {
		map.setCenter(results[0].geometry.location);
		var marker = new google.maps.Marker({
			map: map,
			position: results[0].geometry.location
		    });
		geolocation.value = results[0].geometry.location;
	    } else {
		alert('A Geolocalização não foi bem sucedida pelo seguinte motivo: ' + status + 
		      '\nPossíveis causas: sem conexão a internet ou endereço inválido.');
	    }
        });
}

function getFullAddress() {
    //    var address = document.getElementById('id_address');
    var state = document.getElementById('id_tl_state').value;
    var city = document.getElementById('id_tl_city').value;
    var street = document.getElementById('id_tl_street').value;
    var number = document.getElementById('id_tl_number').value;

    var address;
    address = street + ', ' + number + ', ' + city + ', ' + state;
    codeAddress(address);
}